Enroll an entity to the Google Pay Service
Enroll an entity to the Google Pay Service.
You must accept the Google terms of service to use this feature.
Body·
application/json
- Type: stringentity
_id requiredThe unique identifier of the entity to enroll.
- Type: stringemail
_address requiredThe email address of the user accepting the <a href=https://payments.developers.google.com/terms/sellertos>Google terms of service.
- Type: booleanaccept
_terms _of _service requiredIndicates acceptance of the <a href=https://payments.developers.google.com/terms/sellertos>Google terms of service. Must be true to proceed with enrollment.
Responses
- application/json
- 401
Unauthorized.
- application/json
- 500
Internal server error.
Request Example for post/googlepay/enrollments
curl 'https://{prefix}.api.checkout.com/googlepay/enrollments' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"entity_id": "ent_uzm3uxtssvmuxnyrfdffcyjxeu",
"email_address": "test@gmail.com",
"accept_terms_of_service": true
}'
{
"merchant_id": "01234567890123456789",
"tos_accepted_time": "2014-10-02T15:01:23Z",
"state": "ACTIVE"
}